problem with installing pythia-pgs and madgraph-pythia8 interface

Asked by Md Isha Ali on 2021-02-17

I have installed madgraph 2.9.1.2. I want to install pythia-pgs and mg-pythia8_interface from madgraph CLI but it is giving an error as such :
 You are installing 'pythia-pgs', please cite ref(s): arXiv:0603175.
Error detected in sub-command install pythia-pgs
write debug file MG5_debug
If you need help with this issue please contact us on https://answers.launchpad.net/mg5amcnlo
str : Impossible to connect any of us servers.
                 Please check your internet connection or retry later

I have tried it with proxy-server internet and also through my mobile-wifi ,in both it gives the same error

Cheers
Isha

Question information

Language:
English Edit question
Status:
Answered
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Last query:
2021-02-17
Last reply:
2021-02-17

Hi,

Is this for an installation on your laptop/personal desktop or within a cluster?

Can you access from that machine to this link?
http://madgraph.physics.illinois.edu/package_info.dat
and to this one
http://madgraph.phys.ucl.ac.be/package_info.dat

If you can,
1) did you have the environment variable MG5aMC_WWW defined?
2) what is your version of the "six" modules. old version of that module have sometimes issue with the "moves" category which is used here. Can you do the following within python3
import six
data = six.moves.urllib.request.urlopen('http://madgraph.physics.illinois.edu/package_info.dat")
print(data.getcode())

Cheers,

Olivier

Md Isha Ali (mdisha) said : #2

Hi,
This is for installation on my desktop provided by the institute.
I can access both link , on clicking the link a page is opened on which below lines are written -

MG5aMC_PY8_interface http://madgraph.phys.ucl.ac.be/Downloads/MG5aMC_PY8_interface/MG5aMC_PY8_interface_V1.0.tar.gz
QCDLoop http://madgraph.phys.ucl.ac.be/Downloads/qcdloop1-1.9.0.tar.gz
Delphes3 http://cp3.irmp.ucl.ac.be/downloads/Delphes-3-current.tar.gz
Delphes2 http://cp3.irmp.ucl.ac.be/downloads/Delphes-2-current.tar.gz
MCatNLO-utilities http://madgraph.phys.ucl.ac.be/Downloads/MCatNLO-utilities_V3.6.tar.gz
SysCalc http://madgraph.phys.ucl.ac.be/Downloads/SysCalc_V1.1.7.tar.gz
maddump http://madgraph.phys.ucl.ac.be/Downloads/maddump/maddump_V48.tar.gz
MadSTR http://madgraph.phys.ucl.ac.be/Downloads/MadSTR/MadSTR_V24.tar.gz
MadAnalysis http://madgraph.phys.ucl.ac.be/Downloads/MadAnalysis_V1.1.8.tar.gz
Golem95 https://www.hepforge.org/archive/golem/golem95-1.3.1.tar.gz
RunningCoupling http://madgraph.phys.ucl.ac.be/Downloads/RunningCoupling.tgz
pythia-pgs http://madgraph.phys.ucl.ac.be/Downloads/pythia-pgs_V2.4.5.tar.gz
lhapdf http://www.hepforge.org/archive/lhapdf/lhapdf-5.9.1.tar.gz
rosetta http://madgraph.phys.ucl.ac.be/Downloads/rosetta/rosetta_V2.1.tar.gz
Delphes http://cp3.irmp.ucl.ac.be/downloads/Delphes-2-current.tar.gzDelphes_V_2.0.3.tar.gz
HEPToolsInstaller http://madgraph.phys.ucl.ac.be/Downloads/HEPToolsInstaller/HEPToolsInstaller_V139.tar.gz
PPPC4DMID http://madgraph.phys.ucl.ac.be/Downloads/maddm/PPPC4DMID_V1.9.tar.gz
MadAnalysis5 http://madanalysis.irmp.ucl.ac.be/raw-attachment/wiki/PhysicsAnalysisDatabase/MadAnalysis5-current.tgz
maddm http://madgraph.phys.ucl.ac.be/Downloads/maddm/maddm_V3.1.0.tar.gz
PJFry http://madgraph.phys.ucl.ac.be/Downloads/pjfry-1.1.0-beta2.tar.gz
ExRootAnalysis http://madgraph.phys.ucl.ac.be/Downloads/ExRootAnalysis/ExRootAnalysis_V1.1.5.tar.gz

six module version 1.11.0

Since I am new to programming i face problem with the terms used -
Can you elaborate a bit what did you mean by defining enviromen variable MG5AMC_2.9.1.2

I ran the following command you said ,
when data = six.moves.urllib.request.urlopen("http://madgraph.physics.illinois.edu/package_info.dat") was done it gave some error i guess

>>> data = six.moves.urllib.request.urlopen("http://madgraph.physics.illinois.edu/package_info.dat")
Traceback (most recent call last):
  File "/usr/lib/python3.6/urllib/request.py", line 1325, in do_open
    encode_chunked=req.has_header('Transfer-encoding'))
  File "/usr/lib/python3.6/http/client.py", line 1281, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "/usr/lib/python3.6/http/client.py", line 1327, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.6/http/client.py", line 1276, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "/usr/lib/python3.6/http/client.py", line 1042, in _send_output
    self.send(msg)
  File "/usr/lib/python3.6/http/client.py", line 980, in send
    self.connect()
  File "/usr/lib/python3.6/http/client.py", line 952, in connect
    (self.host,self.port), self.timeout, self.source_address)
  File "/usr/lib/python3.6/socket.py", line 704, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
  File "/usr/lib/python3.6/socket.py", line 745, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -2] Name or service not known

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python3.6/urllib/request.py", line 526, in open
    response = self._open(req, data)
  File "/usr/lib/python3.6/urllib/request.py", line 544, in _open
    '_open', req)
  File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
    result = func(*args)
  File "/usr/lib/python3.6/urllib/request.py", line 1353, in http_open
    return self.do_open(http.client.HTTPConnection, req)
  File "/usr/lib/python3.6/urllib/request.py", line 1327, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
>>>

Sorry for being amateur ,please tolerate me for it

Ah you are running python3.6.
The fact that the code allows you to run with python3.6 is technically a bug since we have never tested it with python3.6
The official minimum version is python3.7 or later (or python2.7)

Can you try with a more recent version of python?

Cheers,

Olivier

> On 17 Feb 2021, at 12:41, Md Isha Ali <email address hidden> wrote:
>
> Question #695593 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/695593
>
> Status: Answered => Open
>
> Md Isha Ali is still having a problem:
> Hi,
> This is for installation on my desktop provided by the institute.
> I can access both link , on clicking the link a page is opened on which below lines are written -
>
> MG5aMC_PY8_interface http://madgraph.phys.ucl.ac.be/Downloads/MG5aMC_PY8_interface/MG5aMC_PY8_interface_V1.0.tar.gz
> QCDLoop http://madgraph.phys.ucl.ac.be/Downloads/qcdloop1-1.9.0.tar.gz
> Delphes3 http://cp3.irmp.ucl.ac.be/downloads/Delphes-3-current.tar.gz
> Delphes2 http://cp3.irmp.ucl.ac.be/downloads/Delphes-2-current.tar.gz
> MCatNLO-utilities http://madgraph.phys.ucl.ac.be/Downloads/MCatNLO-utilities_V3.6.tar.gz
> SysCalc http://madgraph.phys.ucl.ac.be/Downloads/SysCalc_V1.1.7.tar.gz
> maddump http://madgraph.phys.ucl.ac.be/Downloads/maddump/maddump_V48.tar.gz
> MadSTR http://madgraph.phys.ucl.ac.be/Downloads/MadSTR/MadSTR_V24.tar.gz
> MadAnalysis http://madgraph.phys.ucl.ac.be/Downloads/MadAnalysis_V1.1.8.tar.gz
> Golem95 https://www.hepforge.org/archive/golem/golem95-1.3.1.tar.gz
> RunningCoupling http://madgraph.phys.ucl.ac.be/Downloads/RunningCoupling.tgz
> pythia-pgs http://madgraph.phys.ucl.ac.be/Downloads/pythia-pgs_V2.4.5.tar.gz
> lhapdf http://www.hepforge.org/archive/lhapdf/lhapdf-5.9.1.tar.gz
> rosetta http://madgraph.phys.ucl.ac.be/Downloads/rosetta/rosetta_V2.1.tar.gz
> Delphes http://cp3.irmp.ucl.ac.be/downloads/Delphes-2-current.tar.gzDelphes_V_2.0.3.tar.gz
> HEPToolsInstaller http://madgraph.phys.ucl.ac.be/Downloads/HEPToolsInstaller/HEPToolsInstaller_V139.tar.gz
> PPPC4DMID http://madgraph.phys.ucl.ac.be/Downloads/maddm/PPPC4DMID_V1.9.tar.gz
> MadAnalysis5 http://madanalysis.irmp.ucl.ac.be/raw-attachment/wiki/PhysicsAnalysisDatabase/MadAnalysis5-current.tgz
> maddm http://madgraph.phys.ucl.ac.be/Downloads/maddm/maddm_V3.1.0.tar.gz
> PJFry http://madgraph.phys.ucl.ac.be/Downloads/pjfry-1.1.0-beta2.tar.gz
> ExRootAnalysis http://madgraph.phys.ucl.ac.be/Downloads/ExRootAnalysis/ExRootAnalysis_V1.1.5.tar.gz
>
> six module version 1.11.0
>
> Since I am new to programming i face problem with the terms used -
> Can you elaborate a bit what did you mean by defining enviromen variable MG5AMC_2.9.1.2
>
> I ran the following command you said ,
> when data = six.moves.urllib.request.urlopen("http://madgraph.physics.illinois.edu/package_info.dat") was done it gave some error i guess
>
>>>> data = six.moves.urllib.request.urlopen("http://madgraph.physics.illinois.edu/package_info.dat")
> Traceback (most recent call last):
> File "/usr/lib/python3.6/urllib/request.py", line 1325, in do_open
> encode_chunked=req.has_header('Transfer-encoding'))
> File "/usr/lib/python3.6/http/client.py", line 1281, in request
> self._send_request(method, url, body, headers, encode_chunked)
> File "/usr/lib/python3.6/http/client.py", line 1327, in _send_request
> self.endheaders(body, encode_chunked=encode_chunked)
> File "/usr/lib/python3.6/http/client.py", line 1276, in endheaders
> self._send_output(message_body, encode_chunked=encode_chunked)
> File "/usr/lib/python3.6/http/client.py", line 1042, in _send_output
> self.send(msg)
> File "/usr/lib/python3.6/http/client.py", line 980, in send
> self.connect()
> File "/usr/lib/python3.6/http/client.py", line 952, in connect
> (self.host,self.port), self.timeout, self.source_address)
> File "/usr/lib/python3.6/socket.py", line 704, in create_connection
> for res in getaddrinfo(host, port, 0, SOCK_STREAM):
> File "/usr/lib/python3.6/socket.py", line 745, in getaddrinfo
> for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
> socket.gaierror: [Errno -2] Name or service not known
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
> File "<stdin>", line 1, in <module>
> File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
> return opener.open(url, data, timeout)
> File "/usr/lib/python3.6/urllib/request.py", line 526, in open
> response = self._open(req, data)
> File "/usr/lib/python3.6/urllib/request.py", line 544, in _open
> '_open', req)
> File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
> result = func(*args)
> File "/usr/lib/python3.6/urllib/request.py", line 1353, in http_open
> return self.do_open(http.client.HTTPConnection, req)
> File "/usr/lib/python3.6/urllib/request.py", line 1327, in do_open
> raise URLError(err)
> urllib.error.URLError: <urlopen error [Errno -2] Name or service not known>
>>>>
>
> Sorry for being amateur ,please tolerate me for it
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Md Isha Ali (mdisha) said : #4

when i do python -V in the terminal it shows
Python 2.7.17
Now again in python2 when i do date=..........
I am getting the same error
data = six.moves.urllib.request.urlopen("http://madgraph.physics.illinois.edu/package_info.dat")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/urllib2.py", line 154, in urlopen
    return opener.open(url, data, timeout)
  File "/usr/lib/python2.7/urllib2.py", line 429, in open
    response = self._open(req, data)
  File "/usr/lib/python2.7/urllib2.py", line 447, in _open
    '_open', req)
  File "/usr/lib/python2.7/urllib2.py", line 407, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.7/urllib2.py", line 1235, in http_open
    return self.do_open(httplib.HTTPConnection, req)
  File "/usr/lib/python2.7/urllib2.py", line 1205, in do_open
    raise URLError(err)
urllib2.URLError: <urlopen error [Errno -2] Name or service not known>

Md Isha Ali (mdisha) said : #5

just adding when i tried to import heft model ,again it says cannot connect to server , i guess it can be a problem of internet connection
import model heft
Error detected in "import model heft"
write debug file MG5_debug
If you need help with this issue please contact us on https://answers.launchpad.net/mg5amcnlo
str : Model not found locally and Impossible to connect any of us servers.
         Please check your internet connection or retry later

Looking at
https://stackoverflow.com/questions/57234628/socket-gaierror-errno-2-name-or-service-not-known-python

It seems that you have issue with your DNS which might not like python requesting an address resolution.
If you are on your campus network, then you might want to ask your sys-admin if they are limitation at the DNS level for such type of request.

One way to check is to test with
data = six.moves.urllib.request.urlopen('http://192.17.91.69/package_info.dat')
which bypass the DNS

Cheers,

Olivier

Can you help with this problem?

Provide an answer of your own, or ask Md Isha Ali for more information if necessary.

To post a message you must log in.